import React from 'react';
import { FoundationTableRowGroupContextType } from '../types';
declare function Provider<TRowData>({ children, value, }: {
    children: React.ReactNode;
    value: FoundationTableRowGroupContextType<TRowData>;
}): React.ReactElement;
declare function Consumer<TRowData>({ children, }: {
    children: (context: FoundationTableRowGroupContextType<TRowData>) => React.ReactNode;
}): React.ReactElement;
declare const _default: {
    Consumer: typeof Consumer;
    Context: React.Context<FoundationTableRowGroupContextType<any>>;
    Provider: typeof Provider;
};
export default _default;
